Installing Gnuradio in Fedora Core 6


#1

Hi!
I am installing the latest Gnuradio core in Fedora Core 6, I install all
the
requirements that you mention in the wiki and execute the installation
of
the gnuradio core.
First I use the following secuence:

svn co http://gnuradio.org/svn/gnuradio/branches/releases/3.1 gnuradio
./bootstrap
./configure
make
make check
make install

and when the proccess finishes I cant execute gnuradio ussing the grc
command in terminal.
then I explore the configure help and use the following secuence:

BOOST_PREFIX=/opt/boost_1_37_0
export LD_LIBRARY_PATH=/opt/boost_1_37_0/lib
./bootstrap
./configure --with-boost=/opt/boost_1_37_0 --prefix=/usr/gnuradio
–with-boost-include-dir=/opt/boost_1_37_0/include/boost-1_37
–enable-omnithread --enable-gnuradio-core --enable-usrp
–enable-gr-usrp
–enable-gr-atsc --enable-gr-gpio --enable-gr-gsm-fr-vocoder
–enable-gr-pager --enable-gr-radar-mono --enable-gr-radio-astronomy
–enable-gr-trellis --enable-gr-video-sdl --enable-gr-wxgui
–enable-gr-sounder --enable-gr-utils --enable-gnuradio-examples

and at the end of it I obtain the output:


The following GNU Radio components have been successfully configured:

config
gruel
omnithread
gnuradio-core
pmt
mblock
usrp
usrp2
gr-usrp
gr-usrp2
gr-msdd6000
gr-audio-oss
gr-atsc
gr-cvsd-vocoder
gr-gpio
gr-gsm-fr-vocoder
gr-pager
gr-radar-mono
gr-radio-astronomy
gr-trellis
gr-video-sdl
gr-wxgui
gr-sounder
gr-utils
gnuradio-examples

You my now run the make command to build these components.


The following components were skipped either because you asked not
to build them or they didn’t pass configuration checks:

gcell
gr-gcell
gr-audio-alsa
gr-audio-jack
gr-audio-osx
gr-audio-portaudio
gr-audio-windows
gr-comedi
gr-qtgui
grc

These components will not be built.

I continue with the secuence to install gnuradio:

make
make check
make install

and again I can not execute gnuradio ussing grc or ussing one of the
examples.

Thanks

sdjflkasf
como soy yo


#2

You are missing a dependency for GRC. If you read through the configure
verbose, it will say what is missing (or version is too old).

Also, make sure to install all the packages listed in
http://gnuradio.org/trac/wiki/FedoraInstall

See the following:

http://gnuradio.org/trac/wiki/GNURadioCompanion#Requirements
http://gnuradio.org/trac/wiki/GNURadioCompanion#Installation

-Josh